[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Addresses > PutDomainIdentityDkimAttributes method

# PutDomainIdentityDkimAttributes method

Enables or disables [DKIM signing](https://en.wikipedia.org/wiki/DomainKeys_Identified_Mail) for an [address](../../concepts/glossary.md#adress). This option allows the recipient to check that an email was indeed sent from the claimed domain. It is used for anti-phishing and anti-spam measures.

## Request {#request}

```http
PUT /v2/email/identities/{DomainIdentity}/dkim HTTP/2
```

### Path parameters {#path-parameters}

#|
|| **Parameter** | **Description** ||
|| `DomainIdentity` | **Type**: String.

Address to enable or disable DKIM authentication for. The minimum length is one character. ||
|#

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

### Request body {#request-body}

```json
{
  "SigningEnabled": <DKIM_usage>
}
```

#|
|| **Parameter** | **Description** ||
|| `SigningEnabled` | **Type**: Boolean.

Enables or disables DKIM signing for sending emails from the specified address. Possible values: `true` or `false`. ||
|#

## Responses {#responses}

### 200 OK {#200}

A successful request returns `200 OK` in the response.

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

Possible errors:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains invalid headers or parameters. ||
|| `404 NotFoundException` | The requested resource was not found. ||
|| `429 TooManyRequestsException` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#